Subject: Re: Opsdir last call review of draft-ietf-6man-rfc6434-bis-08

From: Timothy Winters <[email-masked]>
Date: Wed, 11 Jul 2018 15:58:53 -0400

Hi Scott,

Thanks for the review.  The name of the network management section has been
updated, I think that's technically a better name.

The working group discussed the SHOULD and based on feedback thought that
this should be a MAY.

Regards,
Tim

On Tue, Jun 19, 2018 at 6:36 AM Scott Bradner <[email-masked]> wrote:

> Reviewer: Scott Bradner
> Review result: Ready
>
> This is an OPS-DIR review of IPv6 Node Requirements
> (draft-ietf-6man-rfc6434-bis-08).
>
> This document is a compendium of what RFCs need to be implemented or paid
> attention to if someone wants to make a fully operational IPv6 node.  The
> document shows quite clearly that making such a node is a lot of work -
> i.e.,
> there are a lot of RFCs listed - gone are the days when implementing an
> Internet node involved less documentation than implementing an OSI GOSSIP
> node.
>
> All of the changes listed in the two "changes from" sections seem very
> reasonable.
>
> Relative to the OPS area, there is a "Network Management" section that
> does a
> good job of listing the possible management technologies to implement.  I
> do
> not know why the section is called "network management" since the document
> is
> about nodes not networks (it would be better called "IPv6 Node Management")
>
> I'm also not sure why management is a MAY - seems to me that it should be a
> SHOULD (a MUST unless you have a good reason not to) - deploying new IPv6
> nodes
> that are immune to management does not seem like a good idea these days.
>
>
> --------------------------------------------------------------------
> IETF IPv6 working group mailing list
> [email-masked]
> Administrative Requests: https://www.ietf.org/mailman/listinfo/ipv6
> --------------------------------------------------------------------
>

---

From: "Scott O. Bradner" <[email-masked]>
Date: Wed, 11 Jul 2018 16:18:58 -0400

tnx (I wondered if my review had black holed)

Scott

> On Jul 11, 2018, at 3:58 PM, Timothy Winters <[email-masked]> wrote:
> 
> Hi Scott,
> 
> Thanks for the review.  The name of the network management section has been updated, I think that's technically a better name.
> 
> The working group discussed the SHOULD and based on feedback thought that this should be a MAY.
> 
> Regards,
> Tim
> 
> document shows quite clearly that making such a node is a lot of work - i.e.,
> Internet node involved less documentation than implementing an OSI GOSSIP node.
> 
> Relative to the OPS area, there is a "Network Management" section that does a
> good job of listing the possible management technologies to implement.  I do
> not know why the section is called "network management" since the document is
> SHOULD (a MUST unless you have a good reason not to) - deploying new IPv6 nodes